# class Bundler::LazySpecification::Identifier

### Public Instance Methods

<=>(other) click to toggle source

    # File lib/bundler/lazy_specification.rb, line 11
    def <=>(other)
      return unless other.is_a?(Identifier)
      [name, version, platform_string] <=> [other.name, other.version, other.platform_string]
    end

### Protected Instance Methods

platform_string() click to toggle source

    # File lib/bundler/lazy_specification.rb, line 18
    def platform_string
      platform_string = platform.to_s
      platform_string == Index::RUBY ? Index::NULL : platform_string
    end